----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    20:33:57 08/15/2006 
-- Design Name: 
-- Module Name:    pl4_snk_top0_wrapper - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity pl4_v8_1_pl4_snk_top is

  port(
    Reset_n             : in  std_logic;
    SnkFifoReset_n      : in  std_logic;
    DcmReset_RDClk      : in  std_logic;
    Locked_RDClk        : out std_logic; 
    DcmLost_RDClk       : out std_logic;
    SnkClksRdy          : out std_logic;
    PhaseAlignRequest   : in std_logic ; 
    PhaseAlignComplete  : out std_logic;
    SnkDPAFailed        : out std_logic; 
    SnkDPARamData       : out std_logic_vector(16 DOWNTO 0);
    SnkDPARamAddr       : out std_logic_vector(6 DOWNTO 0);
    SnkDPARamValid      : out std_logic;
    SnkIdelayRefClk     : in std_logic ;  

    -- sink general purpose clocks
    RDClkDiv_GP       : out std_logic;
    RDClk0_GP         : out std_logic;

    -- Sink Calendar I/O
    SnkCalendar_M     : in  std_logic_vector(7 downto 0);
    SnkCalendar_Len   : in  std_logic_vector(8 downto 0);
    SnkCalClk         : in  std_logic;
    SnkCalWrEn_n      : in  std_logic;
    SnkCalAddr        : in  std_logic_vector(8 downto 0);
    SnkCalData        : in  std_logic_vector(7 downto 0);
    SnkCalDataOut     : out std_logic_vector(7 downto 0);

    SnkStatClk        : in  std_logic;
    SnkStat           : in  std_logic_vector(31 downto 0);
    SnkStatAddr       : in  std_logic_vector(3 downto 0);
    SnkStatWr_n       : in  std_logic;
    SnkStatMask       : in  std_logic_vector(15 downto 0);
 
    -- FIFO I/O
    SnkFFClk          : in  std_logic;
    SnkFFRdEn_n       : in  std_logic;
    SnkFFAddr         : out std_logic_vector(7 downto 0);
    SnkFFData         : out std_logic_vector(63 downto 0);
    SnkFFMod          : out std_logic_vector(2 downto 0);
    SnkFFSOP          : out std_logic;
    SnkFFEOP          : out std_logic;
    SnkFFErr          : out std_logic;
    SnkFFBurstErr     : out std_logic;
    SnkFFDIP4Err      : out std_logic;
    SnkFFPayloadDIP4  : out std_logic;
    SnkFFPayloadErr   : out std_logic;
    SnkFFValid        : out std_logic;
    SnkFFEmpty_n      : out std_logic;
    SnkFFAlmostEmpty_n : out std_logic;
    SnkAlmostFull_n   : out std_logic;
    SnkOverflow_n     : out std_logic;
 
    -- Control and status signals
    SnkEn             : in  std_logic;
    SnkOof            : out std_logic;
    SnkBusErr         : out std_logic;
    SnkBusErrStat     : out std_logic_vector(7 downto 0);
    SnkTrainValid     : out std_logic;
    SnkDIP2ErrRequest : in  std_logic;
 
    -- FIFO status interface
    RSClk             : out std_logic;
    RStat             : out std_logic_vector(1 downto 0);

    -- PL4 sink bus
    RDClk_P           : in  std_logic;
    RDClk_N           : in  std_logic;
    RDat_P            : in  std_logic_vector(15 downto 0);
    RDat_N            : in  std_logic_vector(15 downto 0);
    RCtl_P            : in  std_logic;
    RCtl_N            : in  std_logic;

    -- Configuration signals
    SnkAFThresAssert  : in  std_logic_vector(8 downto 0);
    SnkAFThresNegate  : in  std_logic_vector(8 downto 0);
    FifoAFMode        : in  std_logic_vector(1 downto 0);
    NumDip4Errors     : in  std_logic_vector(3 downto 0);
    NumTrainSequences : in  std_logic_vector(3 downto 0);
    RSClkPhase        : in  std_logic;
    RSClkDiv          : in  std_logic

   );
	
end pl4_v8_1_pl4_snk_top;

------------- Begin Cut here for COMPONENT Declaration ------ COMP_TAG

architecture Behavioral of pl4_v8_1_pl4_snk_top is

begin


end Behavioral;

