 

 parameter DataOffset               = 0; 

  //There are n channels that are numbered from 0 to n-1.  This constant
  // represents the channel with the largest number. 
  parameter TopChannel = 0;   // Only have a single channel core.

  // NumOfWords is the number of 32 bit words that are transferred per packet.
  // Modify this constant to change the number of words per packet.
  parameter NumOfWords = 8;

  // AddressWord is the cycle where RSX is asserted and the in-band address is
  // on the SPI3_RDat bus.
  parameter AddressWord = DataOffset;

  // FirstWord is the cycle where SPI3_RSOP is asserted, it is the first word
  // of the packet
  parameter FirstWord = 1;

  // LastWord is the cycle where SPI3_REOP is asserted, it is the last word of
  // the packet
  parameter LastWord = AddressWord + NumOfWords;

  // DelayLength is used to limit the SPI3_RErr signal so that it does not
  // occur in every cycle
  parameter DelayLength = 4;

  // Constant time delay to model the clock to Q delay of registers.
  parameter NS = 1000;
  parameter TFF = 2 * NS;
