#rm -rf work
vlib work
#vmap work 

# Compile glbl.v
vlog -quiet glbl.v
#vlog -work simprims_ver -refresh

# Compile the Gate level models
echo "Compiling SPI3 Gate Level files"
vlog -quiet ../spi3_link_v4_1_spi3_link_rx.v
vlog -quiet ../spi3_link_v4_1_spi3_link_tx.v

echo "Compiling SPI4 Gate Level files"
vlog -quiet ../pl4_v8_1_pl4_snk_top.v
vlog -quiet ../pl4_v8_1_pl4_src_top.v

# FIFO
vlog -quiet generic_sfifo_512x72.v

# Compile the Bridge Files.
echo "Compiling SPI4 to SPI3 Bridge files"
vlog -quiet ../../hdl/verilog/spi_pkg.v
vlog -quiet ../../hdl/verilog/spi4_to_spi3_burst_storage.v
vlog -quiet ../../hdl/verilog/spi4_to_spi3_flow_control.v
vlog -quiet ../../hdl/verilog/spi4_to_spi3_read.v
vlog -quiet ../../hdl/verilog/spi4_to_spi3_write.v
vlog -quiet ../../hdl/verilog/spi4_to_spi3_core.v
vlog -quiet ../../hdl/verilog/spi4_to_spi3_top.v

echo "Compiling SPI3 to SPI4 Bridge files"
vlog -quiet ../../hdl/verilog/spi3_to_spi4_burst_storage.v
vlog -quiet ../../hdl/verilog/spi3_to_spi4_read.v
vlog -quiet ../../hdl/verilog/spi3_to_spi4_write.v
vlog -quiet ../../hdl/verilog/spi3_to_spi4_arbiter.v
vlog -quiet ../../hdl/verilog/spi3_to_spi4_core.v
vlog -quiet ../../hdl/verilog/spi3_to_spi4_top.v

echo "Compiling Top Level Bridge files"
vlog -quiet ../../hdl/verilog/spi_clk_startup.v
vlog -quiet ../../hdl/verilog/bridge_top.v

# Compile the Test bench files
echo "Compiling Test Bench files"
vlog -quiet master_clocks.v
vlog -quiet spi3_emulator_phy.v
vlog -quiet spi4_to_4spi3_tb.v
