# Check for working directory, if it doesn't exist create it.
if {![file exists work]} then {
  echo "Creating WORK directory work"
  vlib work
  vmap work work
}

# Compile the Gate level models
echo "Compiling SPI3 Gate Level files"
# SPI3
vcom -quiet ../spi3_link_v4_1_spi3_link_rx.vhd
vcom -quiet ../spi3_link_v4_1_spi3_link_tx.vhd

echo "Compiling SPI4 Gate Level files"
# SPI4
vcom -quiet ../pl4_v8_1_pl4_snk_top.vhd
vcom -quiet ../pl4_v8_1_pl4_src_top.vhd
# FIFO

vcom -quiet generic_sfifo_512x72.vhd

# Compile the Bridge Files.
echo "Compiling SPI4 to SPI3 Bridge files"
vcom -quiet ../../hdl/vhdl/spi_pkg.vhd
vcom -quiet ../../hdl/vhdl/spi4_to_spi3_burst_storage.vhd
vcom -quiet ../../hdl/vhdl/spi4_to_spi3_flow_control.vhd
vcom -quiet ../../hdl/vhdl/spi4_to_spi3_read.vhd
vcom -quiet ../../hdl/vhdl/spi4_to_spi3_write.vhd
vcom -quiet ../../hdl/vhdl/spi4_to_spi3_core.vhd
vcom -quiet ../../hdl/vhdl/spi4_to_spi3_top.vhd

echo "Compiling SPI3 to SPI4 Bridge files"
vcom -quiet ../../hdl/vhdl/spi3_to_spi4_burst_storage.vhd
vcom -quiet ../../hdl/vhdl/spi3_to_spi4_read.vhd
vcom -quiet ../../hdl/vhdl/spi3_to_spi4_write.vhd
vcom -quiet ../../hdl/vhdl/spi3_to_spi4_arbiter.vhd
vcom -quiet ../../hdl/vhdl/spi3_to_spi4_core.vhd
vcom -quiet ../../hdl/vhdl/spi3_to_spi4_top.vhd

echo "Compiling Top Level Bridge files"
vcom -quiet ../../hdl/vhdl/spi_clk_startup.vhd
vcom -quiet ../../hdl/vhdl/bridge_top.vhd

# Compile the Test bench files
echo "Compiling Test Bench files"
vcom -quiet master_clocks.vhd
vcom -quiet spi3_emulator_phy.vhd
vcom -quiet spi4_to_4spi3_tb.vhd
